## lua-ldap 1.1.0-1-geeac494

=== debian/changelog ===
lua-ldap (1.1.0-1-geeac494-6) unstable; urgency=medium

  * Rebuild against Lua 5.1.5-7 (Closes: #723490)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Aug 2014 21:54:52 +0200

lua-ldap (1.1.0-1-geeac494-5) unstable; urgency=low

  * debian/control:
    + Standards-Version to 3.9.5.
    + add '-b debian' to Vcs-Git.
  * debian/patches/series,
    debian/patches/define_ldap_deprecated.diff:
    + fix implicit pointer conversion on amd64, thanks to Michael
      Biena <geser@ubuntu.com> and Micah Gersten <micahg@ubuntu.com>
      (Closes: #722175).

 -- Luca Capello <luca@pca.it>  Thu, 02 Jan 2014 21:45:13 +0100

lua-ldap (1.1.0-1-geeac494-4) unstable; urgency=low

  [ Luca Capello ]
  * debian/copyright:
    + add comment about the fact that the Lua community prefers to
      call the license "MIT", see #670760.

  [ Enrico Tassi ]
  * Fix FTBFS (Closes: #713467)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 23 Jun 2013 21:29:38 +0200

lua-ldap (1.1.0-1-geeac494-3) unstable; urgency=low

  * debian/control:
    + Maintainer: is <pkg-lua-devel@alioth.lists.debian.org>.
    + move myself to Uploaders:.

 -- Luca Capello <luca@pca.it>  Sun, 06 May 2012 16:35:53 +0200

lua-ldap (1.1.0-1-geeac494-2) unstable; urgency=low

  [ Enrico Tassi ]
  * debian/control:
    + move to collab-maint.
  * debian/watch:
    + adapt to GitHub downloads.
  
  [ Luca Capello ]
  * debian/copyright:
    + add Enrico Tassi for the debian/* files.

 -- Luca Capello <luca@pca.it>  Mon, 30 Apr 2012 18:43:06 +0200

lua-ldap (1.1.0-1-geeac494-1) unstable; urgency=low

  * Initial release (Closes: #670549).

 -- Luca Capello <luca@pca.it>  Sun, 29 Apr 2012 15:17:54 +0200
