=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-ldap
#
version=3
https://github.com/luaforge/lualdap/downloads .*/lualdap-([\d\.]*).tar.gz
