## lua-ldap 1.2.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # $Id: Makefile,v 1.30 2007-03-13 22:07:33 godinho Exp $
 
 T= lualdap
-V= 1.1.0
+V= 1.2.3
 CONFIG= ./config
 
 include $(CONFIG)
@@ -20,9 +20,9 @@
 	$(CC) -c $(CFLAGS) -o $@ $(COMPAT_DIR)/compat-5.1.c
 
 install: src/$(LIBNAME)
-	mkdir -p $(LUA_LIBDIR)
-	cp src/$(LIBNAME) $(LUA_LIBDIR)
-	cd $(LUA_LIBDIR); ln -f -s $(LIBNAME) $T.so
+	mkdir -p $(DESTDIR)$(LUA_LIBDIR)
+	cp src/$(LIBNAME) $(DESTDIR)$(LUA_LIBDIR)
+	cd $(DESTDIR)$(LUA_LIBDIR); ln -f -s $(LIBNAME) $T.so
 
 clean:
 	rm -f $(OBJS) src/$(LIBNAME)
