=== debian/changelog ===
lua-ldap (1.2.3-2~bpo9+2) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Victor Seva <vseva@debian.org>  Wed, 26 Dec 2018 09:51:42 +0100

lua-ldap (1.2.3-2) unstable; urgency=medium

  * set global lualdap only for lua5.1 (See: #914530)
  * set proper version info patch

 -- Victor Seva <vseva@debian.org>  Fri, 21 Dec 2018 08:27:12 +0100

lua-ldap (1.2.3-1) unstable; urgency=medium

  * add debian/.gitlab-ci.yml file
  * add myself as Maintainer with Luca's permission
  * update Vcs-* due migration to salsa
  * update debian/gbp.conf
  * change upstream to https://github.com/lualdap/lualdap
  * New upstream version 1.2.3
  * add support for lua5.2 (Closes: #814218,#914530)
  * update compat to 10
  * update standards-version to 4.2.1, no changes needed
  * add doc-base control file for html docs
  * remove privacy-breach-* problems with html docs

 -- Victor Seva <vseva@debian.org>  Fri, 07 Dec 2018 00:49:54 +0100

lua-ldap (1.1.0-1-geeac494-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support
    (Closes: #870551).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 21:29:02 +0100
