=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-ldap
#
version=4
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lualdap_$1\.tar\.gz/" \
  https://github.com/lualdap/lualdap/tags .*/v?(\d\.\S*)\.tar\.gz
