=== debian/changelog ===
lua-ldap (1.2.4-1) unstable; urgency=medium

  * debian/watch: skip rc versions
  * New upstream version 1.2.4
  * use PACKAGE_STRING cflag to get the proper version
  * add lua5.3 support
  * remove 0004 patch, fixed upstream

 -- Victor Seva <vseva@debian.org>  Thu, 03 Jan 2019 16:16:37 +0100
