=== debian/changelog ===
lua-ldap (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5
  * remove already merged patch 0003

 -- Victor Seva <vseva@debian.org>  Wed, 09 Jan 2019 07:44:51 +0100
