## lua-ldap 1.3.0

=== debian/changelog ===
lua-ldap (1.3.0-2build1) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:51:11 +0000

lua-ldap (1.3.0-2) unstable; urgency=medium

  [ Jenkins ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Victor Seva ]
  * Lua team as maintainer, me as uploader (Closes: #995546)

 -- Victor Seva <vseva@debian.org>  Wed, 22 Dec 2021 21:57:41 +0100

lua-ldap (1.3.0-1) unstable; urgency=medium

  * don't import debian dir from upstream
  * New upstream version 1.3.0
  * update and remove patches
  * new doc format
  * add Lua 5.4 support

 -- Victor Seva <vseva@debian.org>  Mon, 09 Aug 2021 20:55:47 +0200
