=== debian/changelog ===
lua-ldap (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * update Standards-Version to 4.6.2, no changes needed

 -- Victor Seva <vseva@debian.org>  Mon, 01 May 2023 18:12:06 +0200
