=== debian/changelog ===
lua-ldap (1.4.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * debian/gbp.conf: switch to DEP-14

 -- Victor Seva <vseva@debian.org>  Fri, 21 Feb 2025 18:21:07 +0100

lua-ldap (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Victor Seva <vseva@debian.org>  Fri, 17 Nov 2023 15:13:30 +0100
