=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: lua-ldap
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders:
  Victor Seva <vseva@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-lua (>= 12),
  libldap2-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/lua-team/lua-ldap.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-ldap
 Homepage: https://github.com/lualdap/lualdap
